Package com.ngrok.services

# Class Credentials

java.lang.Object
com.ngrok.services.Credentials

public class Credentials extends Object
Tunnel Credentials are ngrok agent authtokens. They authorize the ngrok agent to connect the ngrok service as your account. They are installed with the `ngrok config add-authtoken` command or by specifying it in the `ngrok.yml` configuration file with the `authtoken` property. See also https://ngrok.com/docs/api#api-credentials.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `Credentials.CreateCallBuilder`
  A builder object encapsulating state for an unsent Create API call.
  `class`
  `Credentials.DeleteCallBuilder`
  A builder object encapsulating state for an unsent Delete API call.
  `class`
  `Credentials.GetCallBuilder`
  A builder object encapsulating state for an unsent Get API call.
  `class`
  `Credentials.ListCallBuilder`
  A builder object encapsulating state for an unsent List API call.
  `class`
  `Credentials.UpdateCallBuilder`
  A builder object encapsulating state for an unsent Update API call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Credentials(NgrokApiClient apiClient)`
  Creates a new sub-client for Credentials.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Credentials.CreateCallBuilder`
  `create()`
  Create a new tunnel authtoken credential.
  `Credentials.DeleteCallBuilder`
  `delete(String id)`
  Delete a tunnel authtoken credential by ID See also https://ngrok.com/docs/api#api-credentials-delete.
  `Credentials.GetCallBuilder`
  `get(String id)`
  Get detailed information about a tunnel authtoken credential See also https://ngrok.com/docs/api#api-credentials-get.
  `Credentials.ListCallBuilder`
  `list()`
  List all tunnel authtoken credentials on this account See also https://ngrok.com/docs/api#api-credentials-list.
  `Credentials.UpdateCallBuilder`
  `update(String id)`
  Update attributes of an tunnel authtoken credential by ID See also https://ngrok.com/docs/api#api-credentials-update.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Credentials

    public Credentials(NgrokApiClient apiClient)
    Creates a new sub-client for Credentials.
    Parameters:
      `apiClient` - an instance of `NgrokApiClient`

- ## Method Details

  - ### create

    public Credentials.CreateCallBuilder create()
    Create a new tunnel authtoken credential. This authtoken credential can be used to start a new tunnel session. The response to this API call is the only time the generated token is available. If you need it for future use, you must save it securely yourself. See also https://ngrok.com/docs/api#api-credentials-create.
    Returns:
      a call builder for this API call

  - ### delete

    public Credentials.DeleteCallBuilder delete(String id)
    Delete a tunnel authtoken credential by ID See also https://ngrok.com/docs/api#api-credentials-delete.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### get

    public Credentials.GetCallBuilder get(String id)
    Get detailed information about a tunnel authtoken credential See also https://ngrok.com/docs/api#api-credentials-get.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### list

    public Credentials.ListCallBuilder list()
    List all tunnel authtoken credentials on this account See also https://ngrok.com/docs/api#api-credentials-list.
    Returns:
      a call builder for this API call

  - ### update

    public Credentials.UpdateCallBuilder update(String id)
    Update attributes of an tunnel authtoken credential by ID See also https://ngrok.com/docs/api#api-credentials-update.
    Parameters:
      `id` - the value of the `id` parameter as a `String`
    Returns:
      a call builder for this API call